%global debug_package   %{nil}
%define import_path     github.com/codegangsta/cli
%define gopath          %{_libdir}/golang
%define gosrc %{gopath}/src/pkg/%{import_path}

Group:			Development/Other
Name:           golang-codegangsta
Version:        1.2.0
Release:        %mkrel 5
Summary:        A small package for building command line apps in Go
License:        MIT
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{version}.tar.gz
BuildArch:      noarch

%package devel
BuildRequires:  golang >= 1.3.3
Requires:       golang >= 1.3.3
Provides:       golang(%{import_path}) = %{version}-%{release}
Summary:        A small package for building command line apps in Go

%description
A small package for building command line apps in Go

%description devel
A small package for building command line apps in Go

This package contains library source intended for building other packages
which use libcontainer.

%prep
%setup -n cli-%{version}

%build

%install
install -d -p %{buildroot}/%{gosrc}
cp -av *.go %{buildroot}/%{gosrc}

%check

%files devel
%doc LICENSE README.md
%dir %attr(755,root,root) %{gosrc}
%{gosrc}/*.go


%changelog
* Fri Mar 25 2022 umeabot <umeabot> 1.2.0-5.mga9
+ Revision: 1825850
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1.2.0-4.mga8
+ Revision: 1490380
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.2.0-3.mga7
+ Revision: 1261863
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.2.0-2.mga6
+ Revision: 950758
- Mageia 6 Mass Rebuild

* Wed Nov 19 2014 bcornec <bcornec> 1.2.0-1.mga5
+ Revision: 797828
- Upload codegangsta/cli for docker build
- Created package structure for golang-codegangsta.

